libimobiledevice 1.1.5

- Main Page
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
screenshotr.h File Reference

Retrieve a screenshot from device. More...

## Typedefs
typedef int16_t | screenshotr_error_t
| Represents an error code.
typedef screenshotr_client_private * | screenshotr_client_t
| The client handle.

## Functions
screenshotr_error_t | screenshotr_client_new (idevice_t device, lockdownd_service_descriptor_t service, screenshotr_client_t *client)
| Connects to the screenshotr service on the specified device.
screenshotr_error_t | screenshotr_client_free (screenshotr_client_t client)
| Disconnects a screenshotr client from the device and frees up the screenshotr client data.
screenshotr_error_t | screenshotr_take_screenshot (screenshotr_client_t client, char **imgdata, uint64_t *imgsize)
| Get a screen shot from the connected device.

## Error Codes
#define | SCREENSHOTR_E_SUCCESS 0
#define | SCREENSHOTR_E_INVALID_ARG -1
#define | SCREENSHOTR_E_PLIST_ERROR -2
#define | SCREENSHOTR_E_MUX_ERROR -3
#define | SCREENSHOTR_E_BAD_VERSION -4
#define | SCREENSHOTR_E_UNKNOWN_ERROR -256

## Detailed Description

Retrieve a screenshot from device.

Note:
  Requires a mounted developer image.

## Typedef Documentation

typedef screenshotr_client_private* screenshotr_client_t

The client handle.

typedef int16_t screenshotr_error_t

Represents an error code.

## Function Documentation

screenshotr_error_t screenshotr_client_free | ( | screenshotr_client_t | client | ) |

Disconnects a screenshotr client from the device and frees up the screenshotr client data.

Parameters:

  client | The screenshotr client to disconnect and free.

Returns:
  SCREENSHOTR_E_SUCCESS on success, or SCREENSHOTR_E_INVALID_ARG if client is NULL.

screenshotr_error_t screenshotr_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | screenshotr_client_t * | client
| ) |  |

Connects to the screenshotr service on the specified device.

Parameters:

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated screenshotr_client_t upon successful return.

Note:
  This service is only available if a developer disk image has been mounted.

Returns:
  SCREENSHOTR_E_SUCCESS on success, SCREENSHOTR_E_INVALID ARG if one or more parameters are invalid, or SCREENSHOTR_E_CONN_FAILED if the connection to the device could not be established.

screenshotr_error_t screenshotr_take_screenshot | ( | screenshotr_client_t | client,
|  | char ** | imgdata,
|  | uint64_t * | imgsize
| ) |  |

Get a screen shot from the connected device.

Parameters:

  client | The connection screenshotr service client.
  imgdata | Pointer that will point to a newly allocated buffer containing TIFF image data upon successful return. It is up to the caller to free the memory.
  imgsize | Pointer to a uint64_t that will be set to the size of the buffer imgdata points to upon successful return.

Returns:
  SCREENSHOTR_E_SUCCESS on success, SCREENSHOTR_E_INVALID_ARG if one or more parameters are invalid, or another error code if an error occured.